include ../../include/gcc_unx.std


SYS	= beholder
LIBS	= $(LIBDIR)/libblock.a $(LIBDIR)/libcollect.a $(LIBDIR)/libdcollect.a $(LIBDIR)/libsystem.a $(LIBDIR)/libb2.a $(LIBDIR)/libsnmp.a $(LIBDIR)/libstack.a $(LIBDIR)/libnw.a $(LIBDIR)/libdnpapx.a $(LIBDIR)/libdnpap.a


all: exe

install: all $(BINDIR)/$(SYS)

$(BINDIR)/$(SYS): $(SYS)
	$(CP) $(SYS) $(BINDIR)/$(SYS)

$(MANDIR)/$(SYS).man: $(SYS).man 
	$(CP) $(SYS).man $(MANDIR)/$(SYS).man 


doc: $(SYS).man

exe: $(SYS)

clean:
	- $(RM) *.exe
	- $(RM) *.obj
	- $(RM) *.o
	- $(RM) *.i
	- $(RM) *.lib
	- $(RM) *.man
	- $(RM) *.err
	- $(RM) *.bak
	- $(RM) beholder

$(SYS).o: $(SYS).c $(SYS).h sys.mib if.mib snmp.mib rmon.mib drmon.mib disc.mib info.mib memory.mib register.mib neuro.mib reach.mib perf.mib statbuf.mib ptype.mib 

$(SYS).ini: $(SYS).cfg

$(SYS): $(SYS).o $(LIBS)
	$(LN) $(SYS).o -o $(SYS) $(LIBS) $(KVMLIB) -lm $(NETLIB)
