/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _TOPN_M_H
#define _TOPN_M_H

                                                      
#include <dnpap.h>
#include <snmp.h>
#include <hostx.h>


BOOLEAN TopNMInit(VOID);

WORD HostTopNControlIndex(SNMP_OBJECT *obj, WORD idlen);
WORD HostTopNHostIndex(SNMP_OBJECT *obj, WORD idlen);
WORD HostTopNRateBase(SNMP_OBJECT *obj, WORD idlen);
WORD HostTopNTimeRemaining(SNMP_OBJECT *obj, WORD idlen);
WORD HostTopNDuration(SNMP_OBJECT *obj, WORD idlen);
WORD HostTopNRequestedSize(SNMP_OBJECT *obj, WORD idlen);
WORD HostTopNGrantedSize(SNMP_OBJECT *obj, WORD idlen);
WORD HostTopNStartTime(SNMP_OBJECT *obj, WORD idlen);
WORD HostTopNOwner(SNMP_OBJECT *obj, WORD idlen);
WORD HostTopNStatus(SNMP_OBJECT *obj, WORD idlen);

WORD HostTopNReport(SNMP_OBJECT *obj, WORD idlen);
WORD HostTopNIndex(SNMP_OBJECT *obj, WORD idlen);
WORD HostTopNAddress(SNMP_OBJECT *obj, WORD idlen);
WORD HostTopNRate(SNMP_OBJECT *obj, WORD idlen);

BOOLEAN TopNEntryReset(LONG hostcontrolindex, HOST *host, WORD addrlen);
BOOLEAN TopNEntryUpdate(LONG hostcontrolindex, HOST *host, WORD addrlen);

BOOLEAN TopNHostStop(LONG hostcontrolindex);


#endif
