/* Beholder RMON ethernet network monitor,Copyright (C) 1993 DNPAP group */
/* See file COPYING 'GNU General Public Licence' for copyright details   */
#ifndef _DTOPN_D_H
#define _DTOPN_D_H


#define HOST_SIZE_ADDR    	6	/* maximum of address sizes shown below */

#define ETH_SIZE_ADDR       6


enum DnpapTopNRateBaseTypes
{
    DTOPN_RATEBASEMIN = 1,
    DTOPN_RATEINPKTS = DTOPN_RATEBASEMIN,
    DTOPN_RATEOUTPKTS,
    DTOPN_RATEINOCTETS,
    DTOPN_RATEOUTOCTETS,
    DTOPN_RATEOUTERRORS,
    DTOPN_RATEOUTBROADCASTPKTS,
    DTOPN_RATEOUTMULTICASTPKTS,
#ifdef NOT_HOST_GENERIC
    DTOPN_RATEINTCPPKTS,
    DTOPN_RATEOUTTCPPKTS,
    DTOPN_RATEINOTHERPKTS,
    DTOPN_RATEOUTOTHERPKTS,
#endif
    DTOPN_RATEINPKTS64,
    DTOPN_RATEINPKTS65TO127,
    DTOPN_RATEINPKTS128TO255,
    DTOPN_RATEINPKTS256TO511,
    DTOPN_RATEINPKTS512TO1023,
    DTOPN_RATEINPKTS1024TO1518,
    DTOPN_RATEOUTPKTS64,
    DTOPN_RATEOUTPKTS65TO127,
    DTOPN_RATEOUTPKTS128TO255,
    DTOPN_RATEOUTPKTS256TO511,
    DTOPN_RATEOUTPKTS512TO1023,
    DTOPN_RATEOUTPKTS1024TO1518,
    DTOPN_RATEBASEMAX = DTOPN_RATEOUTPKTS1024TO1518
};


#endif
